---------------------
PatchSet 7205 
Date: 2008/02/27 04:10:03
Author: amosjeffries
Branch: cleanup
Tag: (none) 
Log:
.h fixes.

Members: 
	lib/Makefile.am:1.26.4.4->1.26.4.5 
	src/AccessLogEntry.h:1.10.4.1->1.10.4.2 
	src/access_log.cc:1.53->1.53.2.1 
	src/structs.h:1.127.2.2->1.127.2.3 
	src/typedefs.h:1.47.4.2->1.47.4.3 

Index: squid3/lib/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid3/lib/Makefile.am,v
retrieving revision 1.26.4.4
retrieving revision 1.26.4.5
diff -u -r1.26.4.4 -r1.26.4.5
--- squid3/lib/Makefile.am	20 Feb 2008 11:38:43 -0000	1.26.4.4
+++ squid3/lib/Makefile.am	27 Feb 2008 04:10:03 -0000	1.26.4.5
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 #
-#  $Id: Makefile.am,v 1.26.4.4 2008/02/20 11:38:43 amosjeffries Exp $
+#  $Id: Makefile.am,v 1.26.4.5 2008/02/27 04:10:03 amosjeffries Exp $
 #
 
 DIST_SUBDIRS = libTrie
@@ -102,8 +102,8 @@
 
 ## Special Universal .h dependency test script
 ## aborts if error encountered
-testHeaders: ../include/*.h
-	../test-suite/testheaders.sh "$(CXXCOMPILE)" "../include" || exit 1
+testHeaders: $(top_srcdir)/include/*.h
+	$(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" "$(top_srcdir)/include" || exit 1
 
 tests_testAll_SOURCES= \
 	tests/testArray.h \
Index: squid3/src/AccessLogEntry.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/AccessLogEntry.h,v
retrieving revision 1.10.4.1
retrieving revision 1.10.4.2
diff -u -r1.10.4.1 -r1.10.4.2
--- squid3/src/AccessLogEntry.h	27 Feb 2008 03:19:57 -0000	1.10.4.1
+++ squid3/src/AccessLogEntry.h	27 Feb 2008 04:10:04 -0000	1.10.4.2
@@ -1,5 +1,5 @@
 /*
- * $Id: AccessLogEntry.h,v 1.10.4.1 2008/02/27 03:19:57 amosjeffries Exp $
+ * $Id: AccessLogEntry.h,v 1.10.4.2 2008/02/27 04:10:04 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -39,8 +39,9 @@
 #include "HttpRequestMethod.h"
 
 /* forward decls */
-
 class CacheManager;
+class HttpReply;
+class HttpRequest;
 
 class AccessLogEntry
 {
@@ -142,6 +143,10 @@
     HttpRequest *request;
 };
 
+class ACLChecklist;
+class StoreEntry;
+class logformat_token;
+
 /* Should be in 'AccessLog.h' as the driver */
 extern void accessLogLog(AccessLogEntry *, ACLChecklist * checklist);
 extern void accessLogRotate(void);
Index: squid3/src/access_log.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/access_log.cc,v
retrieving revision 1.53
retrieving revision 1.53.2.1
diff -u -r1.53 -r1.53.2.1
--- squid3/src/access_log.cc	23 Jan 2008 21:51:00 -0000	1.53
+++ squid3/src/access_log.cc	27 Feb 2008 04:10:07 -0000	1.53.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: access_log.cc,v 1.53 2008/01/23 21:51:00 squidadm Exp $
+ * $Id: access_log.cc,v 1.53.2.1 2008/02/27 04:10:07 amosjeffries Exp $
  *
  * DEBUG: section 46    Access Log
  * AUTHOR: Duane Wessels
@@ -396,8 +395,10 @@
     LOG_QUOTE_RAW
 };
 
-struct _logformat_token
+/* FIXME: public class so we can pre-define its type. */
+class logformat_token
 {
+public:
     logformat_bcode_t type;
     union {
         char *string;
@@ -416,14 +417,11 @@
 
     enum log_quote quote;
 
-unsigned int left:
-    1;
+unsigned int left:1;
 
-unsigned int space:
-    1;
+unsigned int space:1;
 
-unsigned int zero:
-    1;
+unsigned int zero:1;
     int divisor;
     logformat_token *next;	/* todo: move from linked list to array */
 };
Index: squid3/src/structs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/structs.h,v
retrieving revision 1.127.2.2
retrieving revision 1.127.2.3
diff -u -r1.127.2.2 -r1.127.2.3
--- squid3/src/structs.h	12 Feb 2008 02:48:48 -0000	1.127.2.2
+++ squid3/src/structs.h	27 Feb 2008 04:10:07 -0000	1.127.2.3
@@ -1,5 +1,5 @@
 /*
- * $Id: structs.h,v 1.127.2.2 2008/02/12 02:48:48 amosjeffries Exp $
+ * $Id: structs.h,v 1.127.2.3 2008/02/27 04:10:07 amosjeffries Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -1598,6 +1598,8 @@
     int syslog_priority;
 };
 
+class logformat_token;
+
 struct _logformat
 {
     char *name;
Index: squid3/src/typedefs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/typedefs.h,v
retrieving revision 1.47.4.2
retrieving revision 1.47.4.3
diff -u -r1.47.4.2 -r1.47.4.3
--- squid3/src/typedefs.h	12 Feb 2008 02:48:48 -0000	1.47.4.2
+++ squid3/src/typedefs.h	27 Feb 2008 04:10:07 -0000	1.47.4.3
@@ -1,5 +1,5 @@
 /*
- * $Id: typedefs.h,v 1.47.4.2 2008/02/12 02:48:48 amosjeffries Exp $
+ * $Id: typedefs.h,v 1.47.4.3 2008/02/27 04:10:07 amosjeffries Exp $
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
@@ -172,8 +172,6 @@
 
 typedef struct _Logfile Logfile;
 
-typedef struct _logformat_token logformat_token;
-
 typedef struct _logformat logformat;
 
 typedef struct _customlog customlog;
